Subject: bug#76439: [PATCH] Specify 'tab-bar-history-mode' in 'winner-mode' docstring

From: Ship Mints <[email-masked]>
Date: Sun, 23 Feb 2025 07:18:22 -0500

On Sun, Feb 23, 2025 at 1:11 AM Visuwesh <[email-masked]> wrote:

> [வெள்ளி பிப்ரவரி 21, 2025] Ship Mints wrote:
>
> > Not sure what it means to "turn" a window configuration.  Perhaps
> something
> > like below is simpler and gets the salient point across and adds the key
> > binding information winner-mode users might find to be helpful
> > encouragement.
> >
> > If you use `tab-bar-mode', consider using `tab-bar-history-mode', as
> > `winner-mode' is unaware of tab switching, and can confuse `tab-bar'
> > window configurations.  `tab-bar-history-mode' provides
> > tab-specific window configuration history, avoiding this problem, and
> > its default key bindings match those of `winner-mode'.
>
> I find "can confuse `tab-bar' window configurations" lacking in detail.
> If the problem is the verb "turn", what do you think about using
> "change" or "replace" instead?
>

How about "`winner-mode' window-configuration histories are tab naive, and
will produce unexpected results when used with `tab-bar-mode`."